#ifndef PLAYER_H
#define PLAYER_H

#include <QMainWindow>
class MPlayer;
class Playlist;
class QCloseEvent;
class WebVideo;
class QHBoxLayout;

namespace Ui {
class Player;
}


class Player : public QMainWindow
{
    Q_OBJECT
    
public:
    explicit Player(QWidget *parent = 0);
    void setSkin(const QString& skin_name);
    ~Player();

protected:
    virtual void closeEvent(QCloseEvent* e);
    virtual bool eventFilter(QObject *, QEvent *);

private:
    Ui::Player *ui;
    MPlayer* mplayer;
    Playlist* playlist;
    WebVideo* webvideo;
    QHBoxLayout* playerLayout;
    enum SKIN{
        SKIN_PLAY,
        SKIN_STOP,
        SKIN_PAUSE,
        SKIN_ADD,
        SKIN_NUM
    };
    QPixmap skin[SKIN_NUM];
    bool no_play_next;
    bool is_fullscreen;
    bool toolbar_visible;
    int toolbar_pos_y;

private slots:
    void setIconToPlay(void);
    void setIconToPause(void);
    void onNeedPause(bool);
    void onLengthChanged(int);
    void onProgressChanged(int);
    void onPBarChanged(int);
    void onCatching(bool);
    void onStopped(void);
    void onStopButton(void);
    void hidePlaylist(void);
    void setFullScreen(void);
    void changeTabToPlayer(void);
    void changeTabToWeb(void);
};

#endif // PLAYER_H
