#ifndef PLAYLIST_H
#define PLAYLIST_H

#include <QWidget>
#include <QVector>
class QListWidgetItem;

namespace Ui {
class Playlist;
}

class Playlist : public QWidget
{
    Q_OBJECT
    
public:
    explicit Playlist(QWidget *parent = 0);
    void playNext(void);
    ~Playlist();

public slots:
    void addFile(QString& name, QString& file);
    void addFileAndPlay(QString& name, QString& file);

signals:
    void fileSelected(QString&);
    void needPause(bool);

private slots:
    void onAddButton(void);
    void selectFile(QListWidgetItem* item);
    void onNetButton(void);
    void onDelButton(void);
    void onClearButton(void);
    
private:
    Ui::Playlist *ui;
    QVector<QString> filelist;
    int last_index;
};

#endif // PLAYLIST_H
